## com.imcode.imcms.servlet
Class WebComponent

    java.lang.Object
      com.imcode.imcms.servlet.WebComponent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DocumentFinder, ImageBrowser, UserFinder

    public class WebComponent

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`WebComponent()`

Method Summary
`void` `cancel(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`boolean` `isCancelable()`
`void` `setCancelCommand(DispatchCommand cancelCommand)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebComponent

    public WebComponent()

Method Detail

### cancel

    public void cancel(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### isCancelable

    public boolean isCancelable()

### setCancelCommand

    public void setCancelCommand(DispatchCommand cancelCommand)